Use google Prettify for syntax highlighting instead of CodeRay
2009-03-23 17:16 - Kristoffer Gronlund

Status: Closed Start date: 2009-03-23
Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

| believe it would be preferrable to use the google prettify syntax highlighter rather than Coderay for syntax highlighting in Redmine.
It has support for a much larger set of languages, and highlights the code clientside via javascript rather than serverside (so the
pre-formatted code stays readable when looking at the source).

| have hacked support for this into our redmine installation, and the necessary changes (if letting coderay stay active as well) are
minimal.

1. Copy the prettify .Jjs files to public/javascripts/
2. Copy the prettify .css file to public/stylesheets/

Now, I'm not a rails coder, so the following step is probably not the cleanest solution. I'll describe it anyway for completeness:

3. Modify app/views/layouts/base.rhtml with the following changes:
3.1. add onload="prettyPrint ()" to the body tag.
3.2. link to prettify.js and prettify.css in the header.

4. Put code in pre blocks with class "prettyprint".

That's all.

Link:
http://code.google.com/p/google-code-prettify/

Related issues:

Related to Redmine - Feature #2985: Make syntax highlighting pluggable Closed 2009-03-16
Related to Redmine - Patch #1651: Hack to make redmine use pygmentize instead... Closed 2008-07-15
Related to Redmine - Feature #24681: Syntax highlighter: replace CodeRay with... Closed

History

#1 - 2016-12-24 06:05 - Go MAEDA
- Related to Patch #1651: Hack to make redmine use pygmentize instead of CodeRay added

#2 - 2016-12-26 02:17 - Go MAEDA
- Related to Feature #24681: Syntax highlighter: replace CodeRay with Rouge added

#3 - 2018-09-29 10:06 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

The syntax highlighter has been replaced with Rouge in #24681 and it supports most popular languages.
https://github.com/jneen/rouge/wiki/List-of-supported-languages-and-lexers
